List entity relationships for a relationship type
curl --request GET \
--url https://api.getcortexapp.com/api/v1/relationships/{relationshipTypeTag} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/relationships/{relationshipTypeTag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/relationships/{relationshipTypeTag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"relationships": [
{
"destinationEntity": {
"id": "en2da8159dbeefb974",
"name": "My Favorite Entity",
"tag": "my-favorite-entity",
"type": "service",
"description": "<string>"
},
"relationshipTypeTag": "depends-on",
"sourceEntity": {
"id": "en2da8159dbeefb974",
"name": "My Favorite Entity",
"tag": "my-favorite-entity",
"type": "service",
"description": "<string>"
},
"providerType": "WORKDAY"
}
],
"total": 123,
"totalPages": 123
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}List entity relationships for a relationship type
List all entity relationships for a certain relationship type.
GET
/
api
/
v1
/
relationships
/
{relationshipTypeTag}
List entity relationships for a relationship type
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
Query Parameters
Number of results to return per page, between 1 and 1000. Default 250.
Page number to return, 0-indexed. Default 0.
Last modified on September 29, 2026